Bug 1283407 - [RFE] Support for Swift Large Objects (SLO)
Summary: [RFE] Support for Swift Large Objects (SLO)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 1.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 2.0
Assignee: Yehuda Sadeh
QA Contact: shilpa
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1322504
TreeView+ depends on / blocked
 
Reported: 2015-11-18 21:30 UTC by Neil Levine
Modified: 2017-07-30 15:40 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
.Support for Swift Static Large Object (SLO) has been added Ceph now supports the Swift Static Large Object (SLO) feature. This feature allows uploading large objects. To do so, SLO splits a large object into smaller objects, uploads the smaller objects, and then treats the result as a single large object. For details, see the https://access.redhat.com/documentation/en/red-hat-openstack-platform/8/configuration-reference/chapter-10-object-storage#object-storage-slo[Static Large Object (SLO) support] chapter in the https://access.redhat.com/documentation/en/red-hat-openstack-platform/8/configuration-reference/configuration-reference[Configuration Reference] guide for Red Hat OpenStack Platform 8.
Clone Of:
Environment:
Last Closed: 2016-08-23 19:28:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1314580 unspecified CLOSED [RFE] RGW: support swift bulk delete 2020-10-14 00:28:05 UTC
Red Hat Product Errata RHBA-2016:1755 normal SHIPPED_LIVE Red Hat Ceph Storage 2.0 bug fix and enhancement update 2016-08-23 23:23:52 UTC

Internal Links: 1314580

Description Neil Levine 2015-11-18 21:30:11 UTC

Comment 5 Yehuda Sadeh 2016-06-06 15:22:14 UTC
"SLO allows uploading many objects concurrently and afterwards download them as a single object." .. while this is true, I don't think it conveys the feature. SLO is about uploading large objects. So It allows splitting a large object into many smaller objects, uploading these and then treat the result as a single large object.

Comment 7 shilpa 2016-08-02 08:49:53 UTC
Doc text looks fine to me. Moving it to verified.

Comment 9 errata-xmlrpc 2016-08-23 19:28:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1755


Note You need to log in before you can comment on or make changes to this bug.